<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: admin.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\TLine;

require_once __DIR__ . '/../../maincore.php';
require_once FUSION_ADMIN_HEADER;
require_once TMLN_PATH . 'autoload.php';

class AdminTLine extends TLineServer {
    private $allowed_section = ['timeline', 'settings', 'timelineform'];

    public function __construct() {
        parent::__construct();
        pageAccess( 'TMLN' );
        add_breadcrumb( ['link' => TMLN_PATH . 'admin.php' . fusion_get_aidlink(), 'title' => self::$locale['TMLN_002']] );
    }

    public function display_admin() {
        add_to_title( self::$locale['TMLN_010'] );
        opentable( self::$locale['TMLN_010'] );

        $section = check_get( 'section' ) && in_array( get( 'section' ), $this->allowed_section ) ? get( 'section' ) : $this->allowed_section[0];

        $hrq_title = [
            'title' => [self::$locale['TMLN_054'], self::$locale['TMLN_055']],
            'id'    => $this->allowed_section,
            'icon'  => ['', '']
        ];

        echo opentab( $hrq_title, $section, 'timeline_admin', TRUE, '', 'section', ['action', 'ref', 'rowstart', 'timeline_id'] );
        switch ( $section ) {
            case 'settings':
                \PHPFusion\TLine\TLineSettings::getInstance()->startAdmin();
                break;
            default:
                \PHPFusion\TLine\TLineAdmin::getInstance()->startAdmin();
        }
        echo closetab();
        closetable();
    }
}
$timelineadmins = new AdminTLine();
$timelineadmins->display_admin();

require_once FUSION_FOOTER;
