<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: classes/admin_settings.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\TLine;

class TLineSettings extends TLineServer {
    private static $instance = NULL;

    public function __construct() {
        parent::__construct();
    }

    public static function getInstance() {
        if ( self::$instance == NULL ) {
            self::$instance = new static();
        }
        return self::$instance;
    }

    public function startAdmin() {
        if ( check_post( 'savesettings' ) ) {
            $inputArray = [
                'tline_line'     => sanitizer( 'tline_line', 0, 'tline_line' ),
                'tline_images'   => sanitizer( 'tline_images', 0, 'tline_images' ),
                'tline_autouser' => sanitizer( 'tline_autouser', 0, 'tline_autouser' ),
                'tline_user'     => sanitizer( 'tline_user', 0, 'tline_user' )
            ];
            if ( fusion_safe() ) {
                foreach ( $inputArray as $settings_name => $settings_value ) {
                    $inputSettings = [
                        'settings_name'  => $settings_name,
                        'settings_value' => $settings_value,
                        'settings_inf'   => "timeline"
                    ];
                    dbquery_insert( DB_SETTINGS_INF, $inputSettings, "update", ["primary_key" => "settings_name"] );
                }
                addnotice( "success", self::$locale['TMLN_056'] );
                redirect( FUSION_REQUEST );
            }
        }

        opentable( self::$locale['TMLN_040'] );
        echo "<div class='mb-3'><h5>" . self::$locale['TMLN_060'] . "</h5></div>";
        echo openform( 'settingsform', 'post', FUSION_REQUEST, ['class' => 'spacer-sm'] );
        echo form_checkbox( 'tline_line', self::$locale['TMLN_057'], $this->timelinest['tline_line'], [
            'inline' => TRUE,
            'toggle' => TRUE
        ] );
        echo form_checkbox( 'tline_images', self::$locale['TMLN_058'], $this->timelinest['tline_images'], [
            'inline' => TRUE,
            'toggle' => TRUE
        ] );
        echo form_checkbox( 'tline_user', self::$locale['TMLN_059'], $this->timelinest['tline_user'], [
            'inline' => TRUE,
            'toggle' => TRUE
        ] );
        echo form_checkbox( 'tline_autouser', self::$locale['TMLN_061'], $this->timelinest['tline_autouser'], [
            'inline' => TRUE,
            'toggle' => TRUE
        ] );
        echo form_button( 'savesettings', self::$locale['save'], self::$locale['save'], ['class' => 'btn-success', 'icon' => 'fa fa-hdd-o'] );
        echo closeform();
        closetable();
    }
}
