<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: classes/server.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\TLine;

abstract class TLineServer {
    protected static $locale = [];
    public $sqlTimeline = NULL;
    public $timelinest = [];
    public $tline = ['horizontal', 'vertical'];
    public $def_timeline = [
        'timeline_id'          => '',
        'timeline_title'       => '',
        'timeline_description' => '',
        'timeline_images'      => '',
        'timeline_datestamp'   => 0,
        'timeline_language'    => LANGUAGE
    ];

    public function __construct() {
        self::$locale = fusion_get_locale( "", TMLN_LOCALE );
        add_to_head( "<link rel='stylesheet' href='" . TMLN_PATH . "timeline.css' type='text/css' media='all' />" );
    	require_once TMLN_PATH . "templates/timeline.tpl.php";
        $this->sqlTimeline = new TLineSql();
        $this->timelinest = get_settings( "timeline" );
    }

    public static function tlineUserData() {
        $info = [];
        $result = dbquery( "SELECT user_id, user_name, user_status FROM " . DB_USERS ." ORDER BY user_name ASC" );

        if ( dbrows( $result ) ) {
            $info = [0 => self::$locale['TMLN_015']];
            while ( $data = dbarray( $result ) ) {
                $info[$data['user_id']] = $data['user_name'];
            }
        }

    	return $info;
    }

    public static function timelineInfusion() {
        $tlinecat = [];
        $sql_condition = '';
        if ( defined( 'ARTICLES_EXISTS' ) ) {
            $tlinecat[] = 'A';
        }
        if ( defined( 'BLOG_EXISTS' ) ) {
            $tlinecat[] = 'B';
        }
        if ( defined( 'DOWNLOADS_EXISTS' ) ) {
            $tlinecat[] = 'D';
        }
        if ( defined( 'NEWS_EXISTS' ) ) {
            $tlinecat[] = 'N';
        }
        if ( defined( 'GALLERY_EXISTS' ) ) {
            $tlinecat[] = 'P';
        }

        if ( !empty( $tlinecat ) ) {
            foreach ( $tlinecat as $values ) {
                if ( $sql_condition ) {
                    $sql_condition .= " OR ";
                    }
                $sql_condition .= "c.comment_type = '" . $values . "'";
            }
        }
    	return $sql_condition;
    }
}
