<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$locale = fusion_get_locale( "", TMLN_LOCALE );

// Infusion general information
$inf_title = $locale['TMLN_000'];
$inf_description = $locale['TMLN_001'];
$inf_version = "1.0.0";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = "timeline";
$inf_image = "timeline.svg";

// Delete any items not required below.
$inf_newtable[] = DB_TIMELINE." (
    timeline_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    timeline_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
    timeline_title VARCHAR(250) NOT NULL DEFAULT '',
    timeline_description TEXT NOT NULL,
    timeline_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
    timeline_language VARCHAR(50) NOT NULL DEFAULT '".LANGUAGE."',
    PRIMARY KEY (timeline_id),
    KEY timeline_datestamp (timeline_datestamp)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

// Insert settings
$settings = [
    'tline_line'     => 0,
    'tline_images'   => 0,
    'tline_autouser' => 1,
    'tline_user'     => 0
];

foreach ( $settings as $name => $value ) {
    $inf_insertdbrow[] = DB_SETTINGS_INF . " (settings_name, settings_value, settings_inf) VALUES ('" . $name . "', '" . $value . "', '" . $inf_folder . "')";
}

// Multilanguage table
$inf_mlt[] = [
    'title'  => $inf_title,
    'rights' => "TMLN"
];

$enabled_languages = makefilelist( LOCALE, ".|..", TRUE, "folders" );
if ( !empty( $enabled_languages ) ) {
    foreach( $enabled_languages as $language ) {
        if ( file_exists( TMLN_PATH . 'locale/' . $language . '/timeline.php' ) ) {
            include TMLN_PATH . 'locale/' . $language . '/timeline.php';
        } else {
            include TMLN_PATH . 'locale/English/timeline.php';
        }
        $mlt_adminpanel[$language][] = [
            'rights'   => "TMLN",
            'image'    => $inf_image,
            'title'    => $locale['TMLN_002'],
            'panel'    => "admin.php",
            'page'     => 5,
            'language' => $language
        ];

        $mlt_insertdbrow[$language][] = DB_SITE_LINKS . " (link_name, link_url, link_visibility, link_position, link_status, link_window, link_order, link_language) VALUES ('" . $locale['TMLN_003'] . "', 'infusions/" . $inf_folder . "/timeline.php', '" . USER_LEVEL_PUBLIC . "', '1', '1', '0', '2', '" . $language . "')";

        $mlt_deldbrow[$language][] = DB_ADMIN . " WHERE admin_rights = 'TMLN' AND admin_language = '" . $language . "'";
        $mlt_deldbrow[$language][] = DB_SITE_LINKS . " WHERE link_url = 'infusions/" . $inf_folder . "/timeline.php' AND link_language = '" . $language . "'";
        $mlt_deldbrow[$language][] = DB_TIMELINE . " WHERE timeline_language = '" . $language . "'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => "TMLN",
        'image'    => $inf_image,
        'title'    => $locale['TMLN_002'],
        'panel'    => "admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];
    $inf_insertdbrow[] = DB_SITE_LINKS . " (link_name, link_url, link_visibility, link_position, link_status, link_window, link_order, link_language) VALUES ('" . $locale['TMLN_003'] . "', 'infusions/" . $inf_folder . "/timeline.php', '" . USER_LEVEL_PUBLIC . "', '1', '1', '0', '2', '" . LANGUAGE . "')";
}

$inf_droptable[] = DB_TIMELINE;
$inf_deldbrow[] = DB_ADMIN . " WHERE admin_rights = 'TMLN'";
$inf_deldbrow[] = DB_SETTINGS_INF . " WHERE settings_inf = '" . $inf_folder . "'";
$inf_deldbrow[] = DB_SITE_LINKS . " WHERE link_url = 'infusions/" . $inf_folder . "/timeline.php'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES . " WHERE mlt_rights = 'TMLN'";
