<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: request.tpl.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

if (!function_exists('displayTimeline')) {
    function displayTimeline($info) {
        opentable( $info['tablename'] );
        if ( !empty( $info['ittem']['data'] ) ) {
            dataTimeline( $info['ittem']['data'] );
        }
        if ( !empty( $info['selectuser'] ) ) {
            foreach ( $info['selectuser'] as $tlineuser ) {
                echo $tlineuser;
            }
        }
        if ( !empty( $info['userline'] ) ) {
            if ( !empty( $info['userline']['nodata'] ) ) {
                echo "<div class='well text-center'>" . $info['userline']['nodata'] . "</div>";
            } else {
                userTimeline($info['userline']);
            }
        }
        closetable();
    }
}

if (!function_exists('dataTimeline')) {
    function dataTimeline($info) {
        if ( !empty( $info  ) ) {
            echo "<div class='timeline'>";
                $class = ['left', 'right'];
                $i = 0;
                foreach ( $info as $timestamp => $item ) {
//echo "<div class='timeline-image'><img class='rounded-circle img-fluid' src='".IMAGES_T."4.jpg' alt='img'>";
                    echo "<div class='tmcontainer " . $class[$i] . "'>";
                        echo "<div class='tmcontent'>";
                            echo "<h2>" . $timestamp . "</h2>";
                            foreach ( $item as $idata ) {
                                echo "<div class='panel-header'><h4>" . $idata['title'] . "</h4></div>";
                                echo "<div class='panel-header'>" . parse_text( $idata['description'], [
                                    'parse_bbcode'         => FALSE,
                                    'decode'               => FALSE,
                                    'default_image_folder' => NULL,
                                    'add_line_breaks'      => TRUE
                                ] ) . "</div>";
                            }
                        echo "</div>";
                    echo "</div>";
                    $i++;
                    $i = ($i == 2) ? 0 : $i;
                }
            echo "</div>";
        }
    }
}

if (!function_exists('userTimeline')) {
    function userTimeline($info) {
        if ( !empty( $info  ) ) {
            echo "<div class='timeline'>";
                $class = ['left', 'right'];
                $i = 0;
                foreach ( $info as $timestamp => $item ) {
                    echo "<div class='tmcontainer " . $class[$i] . "'>";
                        echo "<div class='tmcontent'>";
                            echo "<h2>" . $timestamp . "</h2>";
                            foreach ( $item as $idata ) {
                                echo "<div class='panel-header'><h4>" . $idata['type'] . "</h4>" . ( !empty( $idata['link'] ) ? "<a class='text-dark' href='" . $idata['link'] . "'>" . $idata['title'] . "</a>" : parse_text( $idata['title'], [
                                    'parse_bbcode'         => FALSE,
                                    'decode'               => FALSE,
                                    'default_image_folder' => NULL,
                                    'add_line_breaks'      => TRUE
                                ] ) ) . "</div>";
                            }
                        echo "</div>";
                    echo "</div>";
                    $i++;
                    $i = ($i == 2) ? 0 : $i;
                }
            echo "</div>";
        }
    }
}
